using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Statistics
{
    public class MonthlyTimeSegment
    {
        public DateTime Start { get; private set; }
        public DateTime End { get; private set; }

        public MonthlyTimeSegment(int year, int month)
        {
            DateTime startOfMonth = new DateTime(year, month, 1);
            DateTime endOfMonth = startOfMonth.AddMonths(1).AddDays(-1);
            Start = startOfMonth;
            End = endOfMonth;
        }
    }
}
